Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# CollisionPercept Class Reference

Contains detected collisions for each joint. More...

`#include <CollisionPercept.h>`

List of all members.

## Public Member Functions
| CollisionPercept ()
| Constructor.
void | reset ()
| Reset all states.
| ~CollisionPercept ()
| Destructor.
bool | getCollisionFrontLeft () const
| Did collision occur at front left leg.
bool | getCollisionFrontRight () const
| Did collision occur at front right leg.
bool | getCollisionHindLeft () const
| Did collision occur at hind left leg.
bool | getCollisionHindRight () const
| Did collision occur at hind left leg.
bool | getCollisionHead () const
| Did collision occur at head.
bool | getCollisionAggregate () const
| Did collision occur at any body part.
double | getOdometryDisturbance () const
| Quantitative Value for occurred collision.
void | setFrameNumber (unsigned long frameNumber)
| sets frame number
## Public Attributes
double | state [JointData::numOfJoint]
unsigned long | frameNumber
| the last perceived frame

## Detailed Description

Contains detected collisions for each joint.

Definition at line 19 of file CollisionPercept.h.

## Constructor & Destructor Documentation

CollisionPercept::CollisionPercept | ( |  | ) |

| Constructor. Definition at line 9 of file CollisionPercept.cpp.

CollisionPercept::~CollisionPercept | ( |  | ) |

| Destructor. Definition at line 26 of file CollisionPercept.cpp.

## Member Function Documentation

void CollisionPercept::reset | ( |  | ) |

| Reset all states. Definition at line 17 of file CollisionPercept.cpp. Referenced by GT2005CollisionDetector::execute().

bool CollisionPercept::getCollisionFrontLeft | ( |  | ) | const

| Did collision occur at front left leg. Definition at line 31 of file CollisionPercept.cpp. Referenced by GT2005RobotStateDetector::calculateCollisionState(), and getCollisionAggregate().

bool CollisionPercept::getCollisionFrontRight | ( |  | ) | const

| Did collision occur at front right leg. Definition at line 39 of file CollisionPercept.cpp. Referenced by GT2005RobotStateDetector::calculateCollisionState(), and getCollisionAggregate().

bool CollisionPercept::getCollisionHindLeft | ( |  | ) | const

| Did collision occur at hind left leg. Definition at line 47 of file CollisionPercept.cpp. Referenced by GT2005RobotStateDetector::calculateCollisionState(), and getCollisionAggregate().

bool CollisionPercept::getCollisionHindRight | ( |  | ) | const

| Did collision occur at hind left leg. Definition at line 56 of file CollisionPercept.cpp. Referenced by GT2005RobotStateDetector::calculateCollisionState(), and getCollisionAggregate().

bool CollisionPercept::getCollisionHead | ( |  | ) | const

| Did collision occur at head. Definition at line 66 of file CollisionPercept.cpp. Referenced by GT2005RobotStateDetector::calculateCollisionState().

bool CollisionPercept::getCollisionAggregate | ( |  | ) | const

| Did collision occur at any body part. Definition at line 75 of file CollisionPercept.cpp. References getCollisionFrontLeft(), getCollisionFrontRight(), getCollisionHindLeft(), and getCollisionHindRight(). Referenced by GT2005RobotStateDetector::calculateCollisionState(), and GT2005SelfLocator::resample().

Here is the call graph for this function:

double CollisionPercept::getOdometryDisturbance | ( |  | ) | const

| Quantitative Value for occurred collision. Definition at line 85 of file CollisionPercept.cpp. References max. Referenced by GT2005RobotStateDetector::calculateCollisionState().

void CollisionPercept::setFrameNumber | ( | unsigned long | frameNumber | ) | `[inline]`

| sets frame number Definition at line 58 of file CollisionPercept.h. Referenced by GT2005CollisionDetector::execute().

## Member Data Documentation

double CollisionPercept::state[JointData::numOfJoint]

| Definition at line 31 of file CollisionPercept.h. Referenced by GT2005CollisionDetector::execute(), operator<<(), and operator>>().

unsigned long CollisionPercept::frameNumber

| the last perceived frame Definition at line 55 of file CollisionPercept.h. Referenced by operator<<(), operator>>(), GT2005RobotStateDetector::setCollisionOnLeftSide(), and GT2005RobotStateDetector::setCollisionOnRightSide().

The documentation for this class was generated from the following files:

- Representations/Perception/CollisionPercept.h
- Representations/Perception/CollisionPercept.cpp